import { logger } from "../logger.js";
export function withLogAction(action, command) {
    return (...args) => {
        const res = command(...args);
        if (res)
            logger.action({ action, source: 'keymap' });
        return res;
    };
}
//# sourceMappingURL=keymap.js.map
